from tools.het import Het


class Wilcoxon(Het):
    class Factory:
        def create(self): return Wilcoxon()

    @staticmethod
    def count_chg_genes(file1, dpsi_thresh=0.2, pval_thresh=0.05):
        return Het._count_chg_genes(file1, dpsi_thresh=dpsi_thresh, pval_thresh=pval_thresh, statname='WILCOXON')

    @staticmethod
    def _count_sig_events(file1, dpsi_thresh=0.2, pval_thresh=0.05, **kwargs):
        return Het._count_sig_events(file1, dpsi_thresh=dpsi_thresh, pval_thresh=pval_thresh, statname='WILCOXON', **kwargs)

    @staticmethod
    def _rank_majiq(vobj, dpsi_thresh=0.2, junc_selection={}, pval_thresh=0.05, step1_list=None, **kwargs):
        return Het._rank_majiq(vobj, dpsi_thresh=dpsi_thresh, junc_selection=junc_selection, pval_thresh=pval_thresh,
                               step1_list=step1_list, statname='WILCOXON', **kwargs)
    @staticmethod
    def _validate_chg_genes(outputfile, validation_dict, values, **kwargs):
        return Het._validate_chg_genes(outputfile, validation_dict, values, statname='WILCOXON', **kwargs)

    @staticmethod
    def rr_rank(file1, file2, dpsi_thresh=0.2, pval_thresh=0.05, **kwargs):
        return Het.rr_rank(file1, file2, dpsi_thresh=dpsi_thresh, pval_thresh=pval_thresh, statname='WILCOXON', **kwargs)

    @staticmethod
    def _validate(outputfile, validation_dict, values, **kwargs):
        return Het._validate(outputfile, validation_dict, values, statname='WILCOXON', **kwargs)
